Bug 260537 - kword:msword2003:kword is not displaying the properties of the document properly.
Summary: kword:msword2003:kword is not displaying the properties of the document prope...
Status: VERIFIED FIXED
Alias: None
Product: calligracommon
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Unlisted Binaries All
: NOR normal (vote)
Target Milestone: ---
Assignee: Matus Uzak
URL:
Keywords: reproducible
Depends on:
Blocks:
 
Reported: 2010-06-16 12:07 UTC by Lassi Nieminen
Modified: 2012-10-23 08:56 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
MS Word 2003 document to be open in Kword (19.50 KB, application/msword)
2010-06-16 12:07 UTC, David Faure
Details
Screenshot of the document in MS Word 2003 (2.25 MB, image/bmp)
2010-06-16 12:10 UTC, David Faure
Details
Screenshot of the document in Kword (121.09 KB, image/pjpeg)
2010-06-16 12:11 UTC, David Faure
Details

Note You need to log in before you can comment on or make changes to this bug.
Description David Faure 2010-12-17 19:41:15 UTC


---- Reported by faure@kde.org 2010-07-12 17:59:44 ----




---- Reported by lassi.ta.nieminen@nokia.com 2010-06-16 13:07:54 +0300 ----

Created an attachment
MS Word 2003 document to be open in Kword

SOFTWARE VERSION:
  Kubuntu 9.10
  Koffice (svn version 1137745)
  Test document (MS Word 2003):mw03_properties_keywords.doc

STEPS LEADING TO THE PROBLEM:
  1. Open the attached document in MS Word 2003.
  2. Open the same document in Kword.
  3. Observe document information.
     To get this info go to File->Document Information.

EXPECTED OUTCOME:
 Kword should be able to display the properties of the document(author,subject,title,keywords,comments).

ACTUAL OUTCOME:
 Kword is not displaying the Author,keywords,comments.
 Only Title and Subject of the document are  getting displayed.


FREQUENCY:
 Always



---- Additional Comments From lassi.ta.nieminen@nokia.com 2010-06-16 13:10:19 +0300 ----

Created an attachment
Screenshot of the document in MS Word 2003



---- Additional Comments From lassi.ta.nieminen@nokia.com 2010-06-16 13:11:35 +0300 ----

Created an attachment
Screenshot of the document in Kword



--- Bug imported by faure@kde.org 2010-07-12 17:59  ---

This bug was previously known as _bug_ 175004.

Imported an attachment (id=49023)
Imported an attachment (id=49024)
Imported an attachment (id=49025)




--- Bug imported by faure@kde.org 2010-12-17 19:43  ---

This bug was previously known as bug 244394.

Imported an attachment (id=54996)
Imported an attachment (id=54997)
Imported an attachment (id=54998)

The original submitter of attachment 54996 [details] is unknown.
   Reassigning to the person who moved it here: faure@kde.org.
The original submitter of attachment 54997 [details] is unknown.
   Reassigning to the person who moved it here: faure@kde.org.
The original submitter of attachment 54998 [details] is unknown.
   Reassigning to the person who moved it here: faure@kde.org.

Comment 1 Sebastian Sauer 2011-01-11 02:45:38 UTC
Commit 9acfce8c13b394ce2956ae9c0563ee5d37505043 does translate keywords and comments now. Keywords show ups as expected now. I am not sure why comments don't.
Comment 2 Matus Uzak 2012-05-02 10:36:45 UTC
Git commit 4bf09dae5471cc05eeadf6eb4090ceb0c3a904ad by Matus Uzak.
Committed on 02/05/2012 at 12:32.
Pushed by uzak into branch 'master'.

doc: Comments are not part of the SttbfAssoc structure.
TODO: Locate comments from the document properties.

M  +0    -5    filters/words/msword-odf/document.cpp

http://commits.kde.org/calligra/4bf09dae5471cc05eeadf6eb4090ceb0c3a904ad
Comment 3 Matus Uzak 2012-05-02 12:14:53 UTC
Git commit 25ff91d643c7f4233739423dfd7e1ea40aadd3ec by Matus Uzak.
Committed on 02/05/2012 at 14:10.
Pushed by uzak into branch 'master'.

doc: comments from SttbfAssoc - update
* According to the Word6/Word8 spec. SttbfAssoc does contain comments.
  However it's not reproducible in MSOffice2000.  Let's keep the code
  to support older DOC files, but use dc:description instead of meta:comments.
* And ignore empty entries.

M  +12   -5    filters/words/msword-odf/document.cpp

http://commits.kde.org/calligra/25ff91d643c7f4233739423dfd7e1ea40aadd3ec
Comment 4 Matus Uzak 2012-05-02 17:07:41 UTC
Git commit 9a19037b1b09fbd66b198d455c67774cc48d624f by Matus Uzak.
Committed on 02/05/2012 at 19:04.
Pushed by uzak into branch 'master'.

doc: Process document properties from SummaryInformation stream.

A  +51   -0    filters/libmso/msoleps.h     [License: BSD]
M  +101  -20   filters/words/msword-odf/document.cpp
M  +2    -1    filters/words/msword-odf/document.h
M  +18   -4    filters/words/msword-odf/mswordodfimport.cpp

http://commits.kde.org/calligra/9a19037b1b09fbd66b198d455c67774cc48d624f
Comment 5 swathi 2012-10-23 08:56:38 UTC
Verified in git commit ad0416095c417a8cfa55306ea8959ac0ef4460bb.